org.pentaho.reporting.libraries.resourceloader.loader.file

## Class FileResourceData

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.loader.AbstractResourceData
  - - org.pentaho.reporting.libraries.resourceloader.loader.file.FileResourceData

All Implemented Interfaces:
  java.io.Serializable, ResourceData

    public class FileResourceData
    extends AbstractResourceData

A simple file reader. This class, as all core implementation, does not hold any references to the data read from the file. Caching is left to the cache provider.

Author:
  Thomas Morgner
See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.pentaho.reporting.libraries.resourceloader.ResourceData

`CONTENT_LENGTH, CONTENT_TYPE, FILENAME`

### Constructor Summary

Constructors
Constructor and Description
`FileResourceData(ResourceKey key)`

### Method Summary

Methods
`java.lang.Object` `getAttribute(java.lang.String attrkey)`
`ResourceKey` `getKey()`
`java.io.InputStream` `getResourceAsStream(ResourceManager caller)`
`long` `getVersion(ResourceManager caller)`

### Methods inherited from class org.pentaho.reporting.libraries.resourceloader.loader.AbstractResourceData

`getLength, getResource, getResource`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileResourceData

    public FileResourceData(ResourceKey key)
                     throws ResourceLoadingException

Throws:
  `ResourceLoadingException`

### Method Detail

#### getResourceAsStream

    public java.io.InputStream getResourceAsStream(ResourceManager caller)
                                            throws ResourceLoadingException

Throws:
  `ResourceLoadingException`

#### getAttribute

    public java.lang.Object getAttribute(java.lang.String attrkey)

#### getVersion

    public long getVersion(ResourceManager caller)
                    throws ResourceLoadingException

Throws:
  `ResourceLoadingException`

#### getKey

    public ResourceKey getKey()